#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-KK2FzO5ILhLLyb851wwmOo
key:                  hOpenPGP-2.9.7-KK2FzO5ILhLLyb851wwmOo
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  3658f6beb576099f2d41ca6dd56bfff5
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.9.7-KK2FzO5ILhLLyb851wwmOo
depends:
    aeson-1.5.6.0-ACA5il8oUDTGWSuengtGRp
    asn1-encoding-0.9.6-IJb3XX8coAhGq5cbWhMQFP
    attoparsec-0.14.4-3hmNOn9KsQkLastvrl1LA3 base-4.15.1.0
    base16-bytestring-1.0.2.0-A8E4JEFCpew8IUblWZwiAs
    bifunctors-5.5.11-2aJvi5Mf7zFGaKMjQi6dlJ binary-0.8.8.0
    binary-conduit-1.3.1-Fwjf6rFox84F7BTDHix1mv bytestring-0.10.12.1
    bz2-1.0.1.0-1aRW7G00bQ5I05UZaQv6u3
    conduit-1.3.4.2-JHknWIQ7mII7nFxP28sTL7
    conduit-extra-1.3.5-6IIs3a1MXIbENwfOeGxMWy containers-0.6.4.1
    crypto-cipher-types-0.0.9-Eb32mKWiXi08hJgQY526gG
    cryptonite-0.30-j5yZ2IabGbE3nQz5wnKJi
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.0-Ad25gOPS1LBBwFTwmctznB
    incremental-parser-0.5.0.3-HNtji6sC4nJDr6tf3CRJcC
    ixset-typed-0.5-5xiGpsIioaEDG2H5JJcjrT
    lens-5.1-KzHhhLE1jOD6VmHbPqSTp2
    memory-0.17.0-CJJwCTl3QuwCxlJovCa0Bf
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-2cnZ9iKtm0MDdR0VmkRbCB
    network-uri-2.6.4.1-IAkqAvJDjrn36sgBWLtC3A
    openpgp-asciiarmor-0.1.2-Gv5MfdHliCA39PkWLoJLSz
    prettyprinter-1.7.1-J9v6KxFXdpIGIHaETGNDv4
    resourcet-1.2.4.3-3JTXcCiNhVeFNFWB8GN0EE
    split-0.2.3.4-HNLyAcTJiCtpELpqEulZl text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-HgeMTnP7CmhGWtqS52RLit
    zlib-0.6.2.3-2r5IqjO5wuX8tSDW54PthL

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

